> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bron.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Addresses

> Retrieve information about all deposit addresses in an workspace

<sup>API Key permissions: View only, Transaction Operator, Full Access</sup>



## OpenAPI

````yaml /bron-open-api-public.json get /workspaces/{workspaceId}/addresses
openapi: 3.1.1
info:
  description: >-
    Bron API is based on the RESTish interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.
  title: Bron API
  version: latest
  x-bron-formats:
    bigint: Arbitrary-precision integer encoded as a JSON string.
    date-time-millis: >-
      Epoch milliseconds (UTC) encoded as a JSON string. Convert with `new
      Date(parseInt(value))` or equivalent.
    decimal: Arbitrary-precision decimal encoded as a JSON string.
    int32: 32-bit integer encoded as a JSON string.
    int64: >-
      Long integer encoded as a JSON string to preserve precision (e.g. account
      IDs).
servers:
  - description: app.bron.org
    url: https://api.bron.org
security: []
tags:
  - name: stake
  - name: balances
  - name: addresses
  - name: intents
  - name: assets
  - name: transaction-limits
  - name: canton
  - name: address-book
  - name: workspaces
  - name: accounts
  - name: transactions
paths:
  /workspaces/{workspaceId}/addresses:
    get:
      tags:
        - addresses
      summary: Get Deposit Addresses
      description: >-
        Retrieve information about all deposit addresses in an workspace


        <sup>API Key permissions: View only, Transaction Operator, Full
        Access</sup>
      parameters:
        - description: Filter addresses by account id
          in: query
          name: accountId
          required: false
          schema:
            type: string
        - description: List of comma-separated address IDs
          in: query
          name: addressIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: External Id
          in: query
          name: externalId
          required: false
          schema:
            type: string
        - description: Account Types to filter. [See details](/enums/AccountType)
          in: query
          name: accountTypes
          required: false
          schema:
            items:
              $ref: '#/components/schemas/AccountType'
            type: array
        - description: Network ID to filter
          in: query
          name: networkId
          required: false
          schema:
            type: string
        - description: Address string, case insensitive
          in: query
          name: address
          required: false
          schema:
            type: string
        - description: Statuses to filter. [See details](/enums/AddressStatus)
          in: query
          name: statuses
          required: false
          schema:
            items:
              $ref: '#/components/schemas/AddressStatus'
            type: array
        - description: '[See details](/enums/SortingDirection)'
          in: query
          name: sortDirection
          required: false
          schema:
            $ref: '#/components/schemas/SortingDirection'
            type: string
        - description: Limit
          in: query
          name: limit
          required: false
          schema:
            format: int64
            type: string
        - description: Offset
          in: query
          name: offset
          required: false
          schema:
            format: int64
            type: string
        - in: path
          name: workspaceId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Addresses'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    AccountType:
      enum:
        - vault
      type: string
    AddressStatus:
      enum:
        - new
        - pending
        - address-activation-required
        - address-creation-required
        - approval-pending
        - enabled
        - disabled
        - error
        - account-archived
      type: string
    SortingDirection:
      enum:
        - ASC
        - DESC
      type: string
    Addresses:
      properties:
        addresses:
          items:
            $ref: '#/components/schemas/Address'
          type: array
      required:
        - addresses
      type: object
    Address:
      properties:
        acceptsAllAssets:
          description: This parameter defines if this target is able to accept all tokens
          type: boolean
        accountId:
          examples:
            - j6137n796rfoicme0rio4t4d
          type: string
        accountType:
          $ref: '#/components/schemas/AccountType'
          description: '[See details](/enums/AccountType)'
        activatedAssets:
          description: >-
            If tokens of a blockchain should be activated prior to any
            operation, this parameter includes a list of currencies to be
            activated with corresponding status - otherwise, the field is set as
            null
          items:
            $ref: '#/components/schemas/ActivatedAsset'
          type: array
        address:
          examples:
            - bc1qqtk5wtw6tvfmvwkdvqw2a0f2m25qyn3cen5hj9
          type: string
        addressId:
          examples:
            - rfztxmbbmn43qnnggsy569n6
          type: string
        createdAt:
          examples:
            - '1744369415583'
          format: date-time-millis
          type: string
        createdBy:
          examples:
            - 2a0f2m25qyn3cen5hj
          type: string
        externalId:
          examples:
            - xh2za6r3x3t9v8twfzey76y8
          type: string
        memo:
          type: string
        metadata:
          description: Additional metadata you want to store with a new Deposit Target
          type: object
        networkId:
          examples:
            - BTC
          type: string
        requiresAssetsActivation:
          description: This parameter defines if this target is able to accept all tokens
          type: boolean
        status:
          $ref: '#/components/schemas/AddressStatus'
          description: '[See details](/enums/AddressStatus)'
        updatedAt:
          examples:
            - '1744369415583'
          format: date-time-millis
          type: string
        updatedBy:
          type: string
        workspaceId:
          examples:
            - d2ciqls0nwz37yf90m94g0rn
          type: string
      required:
        - addressId
        - externalId
        - accountType
        - status
        - networkId
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
        - acceptsAllAssets
        - requiresAssetsActivation
      type: object
    ActivatedAsset:
      properties: {}
      type: object

````